<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Darknet](./bitburner.darknet.md) &gt; [memoryReallocation](./bitburner.darknet.memoryreallocation.md)

## Darknet.memoryReallocation() method

Spends some time freeing some of the RAM currently blocked by the server owner. Must target an authenticated and directly connected server.

The amount of ram recovered scales with charisma and the number of threads used.

**Signature:**

```typescript
memoryReallocation(host?: string): Promise<DarknetResult>;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

host


</td><td>

string


</td><td>

_(Optional)_ Optional. Hostname/IP of the authenticated and directly connected server to free ram from. Defaults to the running script's server.


</td></tr>
</tbody></table>

**Returns:**

Promise&lt;[DarknetResult](./bitburner.darknetresult.md)<!-- -->&gt;

A promise that resolves to a [DarknetResult](./bitburner.darknetresult.md) object.

## Remarks

RAM cost: 1 GB

